Skip to main content
PUT
/
webhooks
/
{webhook_id}
Update a webhook
curl --request PUT \
  --url https://api.cloudglue.dev/v1/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "endpoint": "<string>",
  "subscribed_events": [],
  "active": true
}
'
import requests

url = "https://api.cloudglue.dev/v1/webhooks/{webhook_id}"

payload = {
"description": "<string>",
"endpoint": "<string>",
"subscribed_events": [],
"active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
endpoint: '<string>',
subscribed_events: [],
active: true
})
};

fetch('https://api.cloudglue.dev/v1/webhooks/{webhook_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "webhook",
  "created_at": 123,
  "webhook_secret": "<string>",
  "endpoint": "<string>",
  "active": true,
  "subscribed_events": [],
  "description": "<string>"
}
{
"error": "<string>"
}
{
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_id
string
required

The ID of the webhook to update

Body

application/json

Webhook update parameters

description
string

Description of the webhook

endpoint
string

URL of the webhook endpoint

subscribed_events
enum<string>[]

Events that the webhook is subscribed to

Webhook events that can be subscribed to

Available options:
describe.job.processing,
describe.job.completed,
describe.job.failed,
extract.job.processing,
extract.job.completed,
extract.job.failed,
file.job.processing,
file.job.completed,
file.job.failed,
file.job.deleted,
collection.file.job.processing,
collection.file.job.completed,
collection.file.job.failed,
collection.file.job.deleted,
segment.job.processing,
segment.job.completed,
segment.job.failed
active
boolean

Whether the webhook is active

Response

Webhook updated successfully

id
string
required

Unique identifier for the webhook

object
enum<string>
required

Object type, always 'webhook'

Available options:
webhook
created_at
integer
required

Unix timestamp in milliseconds when the webhook was created

webhook_secret
string
required

Secret used to verify the webhook request

endpoint
string
required

URL of the webhook endpoint

active
boolean
required

Whether the webhook is active

subscribed_events
enum<string>[]
required

Events that the webhook is subscribed to

Webhook events that can be subscribed to

Available options:
describe.job.processing,
describe.job.completed,
describe.job.failed,
extract.job.processing,
extract.job.completed,
extract.job.failed,
file.job.processing,
file.job.completed,
file.job.failed,
file.job.deleted,
collection.file.job.processing,
collection.file.job.completed,
collection.file.job.failed,
collection.file.job.deleted,
segment.job.processing,
segment.job.completed,
segment.job.failed
description
string

Description of the webhook